import type { DropdownProps } from "../primitives/dropdown.js";
import type { PropertyLineProps } from "./propertyLine.js";
import type { FunctionComponent } from "react";
/**
 * Wraps a dropdown in a property line
 * @param props - PropertyLineProps and DropdownProps
 * @returns property-line wrapped dropdown
 */
export declare const DropdownPropertyLine: FunctionComponent<PropertyLineProps & DropdownProps>;
