import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { useRef } from "react";
import { ButtonLine } from "./buttonLine.js";
export const FileUploadLine = (props) => {
    const inputRef = useRef(null);
    const handleButtonClick = () => {
        inputRef.current?.click();
    };
    const handleChange = (evt) => {
        const files = evt.target.files;
        if (files && files.length) {
            props.onClick(files[0]);
        }
        evt.target.value = "";
    };
    return (_jsxs(_Fragment, { children: [_jsx(ButtonLine, { onClick: handleButtonClick, label: props.label }), _jsx("input", { ref: inputRef, type: "file", accept: props.accept, style: { display: "none" }, onChange: handleChange })] }));
};
//# sourceMappingURL=fileUploadLine.js.map