import { jsx as _jsx } from "react/jsx-runtime";
import { Dropdown } from "../primitives/dropdown.js";
import { PropertyLine } from "./propertyLine.js";
/**
 * Wraps a dropdown in a property line
 * @param props - PropertyLineProps and DropdownProps
 * @returns property-line wrapped dropdown
 */
export const DropdownPropertyLine = (props) => {
    return (_jsx(PropertyLine, { ...props, children: _jsx(Dropdown, { ...props }) }));
};
//# sourceMappingURL=dropdownPropertyLine.js.map