import type { FunctionComponent } from "react";
import type { BaseComponentProps } from "../hoc/propertyLine.js";
export type InputProps<T extends string | number> = BaseComponentProps<T> & {
    step?: number;
    placeholder?: string;
    min?: number;
    max?: number;
};
/**
 * This is an input text box that stops propagation of change events and sets its width based on the type of input (text or number)
 * @param props
 * @returns
 */
export declare const Input: FunctionComponent<InputProps<string | number>>;
