import type { TextareaProps as FluentTextareaProps } from "@fluentui/react-components";
import type { FunctionComponent } from "react";
import type { BaseComponentProps } from "../hoc/propertyLine.js";
export type TextareaProps = BaseComponentProps<string> & {
    placeholder?: string;
};
/**
 * This is a texarea box that stops propagation of change/keydown events
 * @param props
 * @returns
 */
export declare const Textarea: FunctionComponent<FluentTextareaProps>;
